import Scrollbar from 'smooth-scrollbar'
import OverscrollPlugin from 'smooth-scrollbar/plugins/overscroll'

((d) => {
  d.addEventListener('DOMContentLoaded', () => {
    /**
     * smooth scrollbar
     */
    Scrollbar.use(OverscrollPlugin);
    Scrollbar.initAll({
      damping: 0.15,
      plugins: {
        overscroll: {},
      },
    })

    /**
     * カラースキームの変更
     * @param {string} className 変更後のクラス名
     */
    const theme = (className: string) => {
      d.querySelector('html')!.classList.remove(...['u-light', 'u-dark'])
      d.querySelector('html')!.classList.add(className)
    }

    d.querySelector('button[aria-label="light"]')?.addEventListener('click', () => {
      theme('u-light')
    })
    d.querySelector('button[aria-label="dark"]')?.addEventListener('click', () => {
      theme('u-dark')
    })
  })
})(document)
